#pragma once
#include <vector>

extern "C"
{
	#include "lauxlib.h"
	#include "lua.h"
	#include "lualib.h"
}


#include "LuaScript.h"

/*
class LuaScriptingManager 
{
public:
	std::vector<LuaScript*> scripts;

	LuaScriptingManager();

	void ExecuteLuaString(const std::string&);

private:
	lua_State* L;

	lua_State& getState();
};*/